Package org.eclipse.ui.views.markers.internal

# Class AbstractField

java.lang.Object
org.eclipse.ui.views.markers.internal.AbstractField

All Implemented Interfaces:
  `IField`

Direct Known Subclasses:
  `FieldCategory`

public abstract class AbstractField extends Object implements IField
AbstractField is the abstract superclass for fields.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`AbstractField()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isShowing()`
Return whether not the receiver is showing.
`void`
`setShowing(boolean showing)`
Set whether or not the receiver is showing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.views.markers.internal.IField

`compare, getColumnHeaderImage, getColumnHeaderText, getDefaultDirection, getDescription, getDescriptionImage, getImage, getPreferredWidth, getValue`

## Constructor Details

### AbstractField

public AbstractField()

## Method Details

### isShowing

public boolean isShowing()
Description copied from interface: `IField`
Return whether not the receiver is showing.

Specified by:
  `isShowing` in interface `IField`
Returns:
  boolean

### setShowing

public void setShowing(boolean showing)
Set whether or not the receiver is showing.

Specified by:
  `setShowing` in interface `IField`